"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.promisifyHandler = void 0;
var isPromise_1 = require("./isPromise");
function promisifyHandler(handler) {
    return function (event, context) {
        return new Promise(function (resolve, reject) {
            function callback(err, response) {
                if (err) {
                    return reject(err);
                }
                return resolve(response);
            }
            var result = handler(event, context, callback);
            if (isPromise_1.isPromise(result)) {
                result.then(resolve, reject);
            }
        });
    };
}
exports.promisifyHandler = promisifyHandler;
//# sourceMappingURL=promisifyHandler.js.map